#!/bin/bash
############################################
# eclipse generates the files for EcoClass, but cannot set the correct
# links and permissions. This is done here.
############################################

if ( ! ( (test -L libXm.so) && (test -L libXm.so.2) ) ); then
    rm libXm.so
    rm libXm.so.2

    ln -s libXm.so.2.1 libXm.so
    ln -s libXm.so.2.1 libXm.so.2
fi

if ( ! (test -x eclipse) ); then
	chmod u+x eclipse
fi

if [ -r database.jar ] ; then
	echo "Sie knnen jetzt EcoClass starten, indem Sie die Datei 'eclipse' ausfhren."
	echo "You may now start EcoClass by executing the file 'eclipse'."
else
	echo "Datei 'database.jar' fehlt. EcoClass kann nicht gestartet werden."
	echo "Missing file 'database.jar'. EcoClass cannot be started."
fi

exit
